package cn.service.system;

import java.util.List;
import cn.pojo.entity.TSysDept;
import cn.pojo.vo.TreeSelectVo;

public interface IDeptService 
{
	List<TSysDept> getDeptListByRole(String roleId);
	
	List<TreeSelectVo> buildDeptTreeSelect(String roleId);
	Boolean insertDept(TSysDept dept);
	Boolean updateDept(TSysDept entity);
	
	TSysDept getDeptById(Long deptId);
	
	List<TreeSelectVo> buildDeptTreeSelect(List<TSysDept> depts); 
	List<TSysDept> selectDeptListByRoleId(Integer roleId);
}
